> For the complete documentation index, see [llms.txt](https://docs.umbcheckout.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbcheckout.net/v17/core-services/cookies.md).

# Cookies

The possible cookies which can be set are outlined below with their explanations

| Name                                            | Reason                                                                                                                                                  |
| ----------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| UmbCheckoutSession                              | The .NET Session Id (HttpOnly, essential)                                                                                                               |
| UmbCheckoutSession\_Basket{culture}\_{currency} | The encrypted [Basket](/v17/core-services/object-reference/basket.md) for one site root culture and currency, e.g. `UmbCheckoutSession_Basketen-GB_GBP` |

{% hint style="info" %}
The Basket cookie requires a paid license, and is only set when **Store Basket In a Cookie** is on. It is HttpOnly and Secure, and expires after the number of days set in the [configuration](/v17/configuration/configuration-options.md).
{% endhint %}

The Basket is encrypted with ASP.NET Core Data Protection. On a load-balanced site, share the Data Protection key ring between the servers, or a server that can't read a visitor's Basket cookie ignores it. A cookie that is corrupt is deleted; Basket cookies from UmbCheckout 1.x are split into one cookie per currency.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbcheckout.net/v17/core-services/cookies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
